image: ubuntu:focal

before_script:
  - apt update -qq
  - DEBIAN_FRONTEND=noninteractive apt install -y --no-install-recommends ca-certificates pandoc tar wget
  - chmod +x compile.sh

pages:
  stage: deploy
  script:
    - ./compile.sh
    - mkdir .public
    - cp -r images .public/
    - cp -r reveal.js .public/
    - cp presentation.html .public/index.html
    - mv .public public
    - ls -lah public/
  artifacts:
    paths:
      - public
  only:
    - main
